# $Id: avifile.spec,v 1.4 2002/06/17 12:08:49 dude Exp $

%define	major	0.7
%define	minor	15
%define	date	20020816

Summary: The avifile library used to play AVI streams, including DivX ;-).
Name: avifile
Version: %{major}.%{minor}
Release: fr1
License: GPL
Group: Applications/Multimedia
Source: http://avifile.sourceforge.net/%{name}-%{version}-%{date}.tgz
URL: http://avifile.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-root
Requires: qt >= 2.1.0, SDL >= 1.1.3, libvorbis, divx4linux, libstdc++
Requires: lame
BuildRequires: qt-devel >= 2.1.0, SDL-devel >= 1.1.3, esound-devel
BuildRequires: libvorbis-devel, libjpeg-devel, libpng-devel, divx4linux
BuildRequires: a52dec-devel, libstdc++-devel, lame-devel, libmad
ExclusiveArch: i586

%description
Avifile is a library that allows you to read and write compressed AVI
files in most common video & audio formats (Indeo Video, DivX, etc.)
under x86 Linux. Compression and decompression are performed with Win32
DLLs. It includes a simple AVI player and a Video4Linux capture program

To use this program, you will need to get the Win32 binaries from
%{url} and put uncompress them under /usr/lib/win32.


%package devel
Summary: Headers for developing programs that will use avifile.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
This package contains the headers that programmers will need to develop
applications which will use avifile.


%prep
%setup -q -n %{name}%{major}-%{major}.%{minor}

%build
%configure --program-prefix=%{?_program_prefix:%{_program_prefix}} \
	--enable-static \
	--enable-release \
	--enable-lame-bin \
	--enable-win32 \
	--enable-x86opt
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# Install a system menu entry
mkdir -p %{buildroot}%{_sysconfdir}/X11/applnk/Multimedia
cat > %{buildroot}%{_sysconfdir}/X11/applnk/Multimedia/aviplay.desktop << EOF
[Desktop Entry]
Name=Aviplay
Comment=%{summary}
Icon=
Exec=%{_bindir}/aviplay
Terminal=0
MimeType=video/x-msvideo
Type=Application
EOF

# Install the man page
install -m 644 -D debian/aviplay.1 %{buildroot}%{_mandir}/man1/aviplay.1

# We don't want those in the packaged docs
rm -f doc/Makefile* || :

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc COPYING ChangeLog README doc
%{_sysconfdir}/X11/applnk/Multimedia/aviplay.desktop
%{_bindir}/avibench
%{_bindir}/avicap
%{_bindir}/avicat
%{_bindir}/avimake
%{_bindir}/aviplay
%{_bindir}/avirec
%{_bindir}/avirecompress
%{_bindir}/avitype
%attr(4755, root, root) %{_bindir}/kv4lsetup
%{_libdir}/*.so.*
%dir %{_libdir}/avifile%{major}
%{_libdir}/avifile%{major}/*.so
%{_datadir}/avifile%{major}
%{_mandir}/man1/*

%files devel
%defattr(-, root, root)
%{_bindir}/avifile-config
%{_bindir}/mmxnow-config
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%dir %{_libdir}/avifile%{major}
%{_libdir}/avifile%{major}/*.a
%{_libdir}/avifile%{major}/*.la
%{_datadir}/aclocal/*

%changelog
* Fri Aug  9 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.7.14 20020802.
- Added avirec and aclocal entries to %%files.

* Fri Jun 14 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.7.7 20020523.

* Mon Dec 24 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.6.0 20011220.

* Mon Dec 17 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added libjpeg and divx4linux in dependencies and the man page is now
  installed (thanks to Ville Skytt).

* Wed Dec 12 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.6.0 20011207.
- Added .a libs.

* Fri Nov 16 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release... well, I couldn't fins the old package I made almost
  a year ago, so I re-did the spec from scratch (The Mandrake one is just too
  ugly).

